
body, html{
    height: 100%;
    margin: 0px !important;
}
.body{
    background: #070908;
}

.navbar{
    background: #070908 !important;
    box-shadow: 0 4px 3px 0 rgba(54, 39, 39, 0.2), 0 3px 3px 0 rgba(0, 0, 0, 0.19);
}
.authenticate-container{
    background: #070908;
    display: table;
    height: inherit;
    width: 100%;
    padding-top: 16px;
    padding-bottom: 14px;
    margin: 0px !important;
    margin-bottom: 0px;
}
.authenticate-container-db{
    background: #070908;
    /* background-image: url('/static/assets/images/db_background.png'); */
    /* background-size: 100% 100%; */
    /* background-repeat: no-repeat; */
    display: table;
    height: inherit;
    /* background-attachment: fixed; */
    width: 100%;
    padding-top: 16px;
    padding-bottom: 14px;
    margin: 0px !important;
    margin-bottom: 0px;
}


.authenticate-container-bg-2{
    background: #070908 !important;
}
.dark_bg{
    background: #070908;
}
.dark_bg2{
    background: #070908;
}


.defaultBtnOpen2{
    width: 100%;
    border: 1px solid #fff;
    background: none;
    border-radius: 4px;
    padding: 12px;
    color: #fff;
}

.authenticate-container p, h1, h2, h3, h4, h5{
    color: #fff;
}

#themeIcon{
    color:#abb2c5
}
#authBtn{
    background: none;
    border: none;
    color: #abb2c5;
    /* width: 100%; */
    text-align: center;
    font-size: 13px;
}

.activeAuthBtn::after{
    border-bottom: 2px solid #2cbca5;
    content: ""; 
    display: block;
    margin: 0 auto;
    width: 50%;
    padding-top: 10px;
}


.authBtn-container{
    text-align: center;
    margin-top: 30px;
    background: #070908;
}

input{
    background: none !important;
    border-color: none !important;
    color: #2cbca5 !important;
}
select{
    background: none !important;
    border-color: #070908 !important;
    color: #070908 !important;
}
.form-control:focus {
    border-color: inherit;
    -webkit-box-shadow: none;
    box-shadow: none;
  }

  .defaultBtnOpen{
    width: 50%;
    border: 1px solid #2cbca5;
    background: none;
    border-radius: 4px;
    padding: 12px;
    color: #2cbca5;
}
.defaultBtn{
    width: 50%;
    border: none;
    background: #2cbca5;
    border-radius: 8px;
    padding: 12px;
}.defaultBtn2{
    width: 100%;
    border: none;
    background: #2cbca5;
    border-radius: 4px;
    padding: 8px;
    padding-top: 12px;
    padding-bottom: 12px;
}.defaultBtn2:hover{opacity: 0.9;}

.defaultBtnGreen{
    width: 100%;
    border: none;
    background: rgb(122, 202, 122);
    border-radius: 4px;
    padding: 8px;
    color: #fff;
}

.Btn{
    border: none;
    background: #2cbca5;
    border-radius: 4px;
    padding: 4px;
    padding-left: 12px;
    padding-right: 12px;
}.Btn:focus{
    outline: 0px;
    box-shadow: 0px;
    -webkit-box-shadow:none;
}


@media only screen and (max-width: 768px) {

    .preloader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh !important;
        z-index: 99999;
        /* background-repeat: no-repeat;
        background-position: center;
        background: #070908; */
        text-align: center;
        padding-top: 40vh;
        display: inline-block;
        background-image: url('/static/assets/images/db_dashboard_small.png');
        background-size: 100% 100%;
        background-repeat: no-repeat;
      }

    select{
        background: none !important;
        border-color: #070908 !important;
        color: #d3d8e4 !important;
    }
    .authenticate-container p{
        font-size: 13px;
        color: #abb2c5;
    }
    h5{
        font-size: 16px;
        font-weight: 400;
        color: #abb2c5;
    }
    .f-icon{
        color: #abb2c5;
    }
    small{
        color: #abb2c5;
    }
  }

@media only screen and (min-width: 768px) {
    .preloader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh !important;
        z-index: 99999;
        /* background-repeat: no-repeat;
        background-position: center;
        background: #070908; */
        text-align: center;
        padding-top: 40vh;
        display: inline-block;
        background-image: url('/static/assets/images/db_background.png');
        background-size: 100% 100%;
        background-repeat: no-repeat;
      }


    .mml{
        margin-left: 12px;
    }
     .post-form{
        box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        background: #070908;
        padding: 50px;
        border-radius: 4px;
    }
    .authenticate-container p{
        font-size: 15px;
        color: #fff;
    }
    h5{
        font-size: 16px;
        font-weight: 400;
        color: #abb2c5;
    }h4{
        color: #d8dce7;
    }
    .f-icon{
        color: #fff;
    }
    small, span{
        color: #abb2c5;
    }
    .activeAuthBtn::after{
        border-bottom: 3px solid #2cbca5;
        content: ""; 
        display: block;
        margin: 0 auto;
        width: 50%;
        padding-top: 10px;
    }
    select{
        background: #070908 !important;
        border-color: #070908 !important;
        color: #fff !important;
    }
}

li a{
    color: #abb2c5 !important;
}
.defaultBtn:focus{
    background: none !important;
    -webkit-box-shadow:none;
    outline: none;
    box-shadow: none;
}

.dropdown-menu{
    background: #070908 !important;
    color: #fff;
    display: block;
    padding:0px;
    border: none;
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);

} .dropdown-menu a{
    color: #abb2c5;
    font-size: 14px;
} .dropdown-toggle:focus{
    -webkit-box-shadow: none;
    box-shadow: none; outline: none;
}


.navbar-nav .dropdown-menu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s;
}

.navbar-nav .dropdown-menu.show {
    max-height: 500px;
}


.wallet-connect{
    background: rgba(0, 0, 0, 0.1) !important;
    color: #2cbca5 !important;
}


/* side Navbar For desktop */

.sidebar-wrapper{
    background: #070908;
    height: 100vh;
    top:0px !important;
    max-width: 150px !important;
    padding: 0px !important;
    z-index: 1;
    box-shadow: 0 4px 3px 0 rgba(54, 39, 39, 0.2), 0 3px 3px 0 rgba(0, 0, 0, 0.19);
}

#sidebar a{
    text-decoration: none;
}
#sidebar p {
    text-align: center;
    padding: 5px;
    color: #abb2c5;
} #sidebar p:hover{background: #070908; cursor: pointer;}


.post-box{
  box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  background: #070908;
  padding: 18px;
  border-radius: 4px;
}
.post-boxSm{
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.19);
    background: #070908;
    padding: 18px;
    border-radius: 4px;
  }


h4{
    font-family: 'heebo';
    font-size: 20px;
}


.coinListToggle{
    font-family: 'heebo';
    cursor: pointer;
} .coinListToggle:hover{opacity: 0.7;}

.exchange-icon{
    width: 40px; height: 40px;
    vertical-align: center;
}

.tokenInput{
    border: 1px solid #444b57 !important;
    border-radius: 4px !important;
    background: none !important; padding-right: 8px; padding-left: 8px;
}.tokenInput input{
    background: none !important; border: none !important;
    color: #CBD2DA !important; margin-top: 8px; font-size: 16px !important;
}

.orderContainer span{
    font-size: 25px;
    color: #d8dce7;
} .orderContainer th{font-weight: normal !important; font-size: 12px; color: #abb2c5;}
.orderContainer td{font-size: 12px;}

.very-small{
    font-size: 12px;
}
.table-dark{
    background: #2b3038 !important;
}
.dColour{
    color: #2cbca5 !important;
}.dBg{background: #2cbca5 !important;}
.bColour{color: #000 !important;}

.coinList{
    height: 400px;
    width: 300px;
    position: fixed;
    z-index: 1;
    top: 200px;
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background: #070908;
    padding: 18px;
    display: none;
    right: 12px;
    overflow-y:scroll;
    border-radius: 4px;
} 
.coinList::-webkit-scrollbar {
    background: none;
    width: 5px;
} .coinList::-webkit-scrollbar-track{background: none;} 
.coinList::-webkit-scrollbar-thumb{
    background-color: #2cbca5; border-radius: 4px;
}

.coinList p{
    padding: 4px; cursor: pointer;
} .coinList p:hover{background: #070908;}



@media only screen and (max-width: 768px){
    .coinList{
        height: 100%;
        width: 80%;
        position: fixed;
        z-index: 99999;
        top: 0 !important;
        left: 0;
        /* right: 12px; */
        box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        background: #253142;
        text-align: left;
        display: none;
        } .coinList p{
            padding: 4px; color: #d7dae0; font-weight: 500;
        }
}


.modal-body{
    background: #070908;
    box-shadow: 0 4px 8px 0 rgba(54, 36, 36, 0.4), 0 8px 3px 0 rgba(63, 59, 59, 0.19);
}.closeIcon{font-size: 22px; color: #abb2c5; cursor: pointer;}
.closeIcon:hover{color: #fff;}
.modal-body i{
    color: #abb2c5;
}
.modal-body::-webkit-scrollbar {
    background: none;
    width: 8px;
} .modal-body::-webkit-scrollbar-track{background: none;} 
.modal-body::-webkit-scrollbar-thumb{
    background-color: #a8a8a7; border-radius: 4px;
}

.underBorderInput{
    border: none; border-bottom: 1px solid #070908 !important; border-radius: 0px;
}
.fundTokens{height: 370px; overflow-y: scroll; overflow-x: hidden;}
.fundTokenInner{
    color: #d8dce7; padding: 12px; background: #484e5e; border-radius: 4px;
    cursor:pointer; margin-bottom: 12px;
} .fundTokenInner:hover{background: #262b36;}
.fundTokenInner span{color: #eceef3; font-family: 'heebo'; font-weight: 400;}


.fundTokens::-webkit-scrollbar {
    background: none;
    width: 8px;
} .fundTokens::-webkit-scrollbar-track{background: none;} 
.fundTokens::-webkit-scrollbar-thumb{
    background-color: #2cbca5; border-radius: 4px;
}

/* small screen db Nav */
#navSmallDb{
    min-width: 100%;
    /* box-shadow: 0 0px 0px 0 rgba(58, 27, 27, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19); */
    background: #070908;
    padding-top: 5px; padding-bottom: 5px;
    width: 100%;
    top: 0;
}
.sm-nav-drop-down{
    padding: 0px;
    background: #070908;
    position: fixed; 
    width: 220px;
    z-index: 999;
    top:55px;
    right: 0px;
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 2px 6px 0 rgba(0, 0, 0, 0.19);
    border-radius: 4px;
    display: none;
    /* min-height: 100%; */
}

.sm-nav-content a{
    text-decoration:  none;
    color: #d8dce7;
    font-size: 14px;
}.sm-nav-content i{color: #7e8496; position: relative;
    top: 2px; margin-right: 8px; font-size: 15px;}

#mobile-bottom-nav{
    position:fixed;
    bottom:0;
    left:0;
    right:0;
    z-index:1000;    
    will-change:transform;
    transform: translateZ(0);
    display:flex;	   
    height:53px;   
    /* box-shadow: 0 -2px 5px -2px #333; */
    background-color:#070908;
}
    
    .mobile-bottom-nav__item{
        flex-grow:1;
        text-align:center;
        font-size:12px;
        
        display:flex;
        flex-direction:column;
        justify-content:center;
        color: #abb2c5;
    }.mobile-bottom-nav__item a{color: #abb2c5 !important;}
    .mobile-bottom-nav__item__item-active{
        color:#2cbca5;
    }
    .mobile-bottom-nav__item__item-content{ 
        display:flex;
        flex-direction:column;		
    }.mobile-bottom-nav__item__item-content i{
        font-size: 16px;
    }





.fixIcon{
    color: #7e8496; position: relative;
    top: 3px; margin-right: 8px; font-size: 12px;
}.fixIcon2{
    color: #7e8496; position: relative;
    top: 2px;
}.fixIcon3{
    color: #7e8496; position: relative;
    top: 4px;
}
.table-sm td{
    padding: 5px !important;
    padding-left: 14px !important;
    width: 100% !important;
}
.table-sm{
    white-space: nowrap;
}
.xsmall{
    font-size: 10px;
}
.border-b{
    border-bottom: 1px solid #434C58 !important;
}.border-b2{
    border-bottom: 2px solid #070908 !important;
}.border-t{
    border-top: 2px solid #313944 !important;
}

.shade1{
    background: #2E353D !important;
}.shade2{
    background: #313942 !important;
}

.mainWhite{
    color: #CBD2DA !important;
}.moreWhite{
    color: #fff !important;
}
.moreWhite2{
    color: #fff !important;
}
.mainWhite2{
    color: #CBD2DA !important;
}

.dialog{
    position: fixed;
    z-index: 99999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.6);
}
.dialogContent{
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background-color: #070908;
    padding: 20px;
    width: 80%;
    border-radius: 4px;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

@media only screen and (min-width: 768px) {
    .xsmall{
        font-size: 12px;
    }
    .dialogContent{
        box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        background-color: #070908;
        padding: 20px;
        width: 35%;
        border-radius: 4px;
        margin: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }
}
.loader {
    border: 3px solid #070908; /* Light grey */
    border-top: 3px solid #2cbca5; /* Blue */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite;
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

  .mainFont{
      font-size: 14px;
  }

#walletBal{
    cursor: pointer; padding-top: 6px; border-radius: 4px;
}

#tradeOrderList{
    overflow-y: scroll;
}
#tradeOrderList::-webkit-scrollbar {
    background: none;
    width: 5px;
} #tradeOrderList::-webkit-scrollbar-track{background: none;} 
#tradeOrderList::-webkit-scrollbar-thumb{
    background-color: #2cbca5; border-radius: 4px;
}

#myOrderTable th{
    color: #abb2c5; font-size: 12px;   
}#myOrderTable td{
    font-size: 12px !important;
}

input[type="file"] {
    display: none;
}.popLabel{
    background-color: #d7dae0; color: #000;
    padding: 7px; border-radius: 4px; width: 100%; text-align: center;
}



/* step progress bar*/
.stepper-wrapper {
    margin-top: auto;
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }
  .stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
  }
  
  .stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 13px;
    left: -50%;
    z-index: 2;
  }
  
  .stepper-item::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 13px;
    left: 50%;
    z-index: 2;
  }
  
  .stepper-item .step-counter {
    position: relative;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #ccc;
    margin-bottom: 6px;
  }
  
  .stepper-item.active {
    font-weight: bold;
  }
  
  .stepper-item.completed .step-counter {
    background-color: #2cbca5;
  }
  
  .stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #2cbca5;
    width: 100%;
    top: 13px;
    left: 50%;
    z-index: 3;
  }
  
  .stepper-item:first-child::before {
    content: none;
  }
  .stepper-item:last-child::after {
    content: none;
  }

.whiteBtn{
    background: #fff;
    color: #000;
    border: none;
    padding: 4px;
    border-radius: 4px;
}


/* pages */
/* landing */
/* .fist-section{

} */
.image-box{
    background-image: url('/static/assets/images/main_bg.png') !important;
    background-size: cover;
    background-repeat: no-repeat;
    padding-bottom: 20px;
}

.post-box-trans{
    box-shadow: 0 4px 8px 0 rgba(54, 39, 39, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background: rgba(0, 0, 0, 0.15);
    padding: 18px;
    border-radius: 4px;
}

#navSmallDbTrans{
    min-width: 100%;
    /* box-shadow: 0 0px 0px 0 rgba(58, 27, 27, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19); */
    background: rgba(0, 0, 0, 0.15);
    padding-top: 5px; padding-bottom: 5px;
    width: 100%;
    top: 0;
}

.mock-up{
    height: 400px;
    width: 400px;
}

textarea{
    background: none !important;
    border: 1px solid #60687e !important;
    color: #cfd4e2 !important;
}

.border-l{
    border-left: 3px solid #2cbca5;
}

.tradeOrderList{
    overflow-y: scroll;
    overflow-x: hidden;
}
.tradeOrderList::-webkit-scrollbar {
    background: none;
    width: 8px;
} .tradeOrderList::-webkit-scrollbar-track{background: none;} 
.tradeOrderList::-webkit-scrollbar-thumb{
    background-color: #a8a8a7; border-radius: 4px;
}

.box_bg-1{
    background: #070908;
}
.box_bg-2{
    background: #070908;
}
.box-bg-white{
    background: #F4F4F4;
}

.mainWhiteDiv{
    color: #D1D0D1 !important;
}

.rounded-holder-2{
    width: fit-content; background: rgba(128, 144, 156, 0.15);
    ; padding: 12px; height: 50px; width: 50px;
    text-align: center; border-radius: 50%
  }

.paddedIcon{
    padding-top: 9px;
    padding-bottom: 4px;
    padding-left: 8px;
    padding-right: 8px;
    background: #2cbca5;
    border-radius: 50%;
    font-size: 18px !important;
    color: rgb(69, 73, 76) !important;
}

.downlaod-app-container{
    background-color: #fff;
    position: fixed;
    bottom: 0;
    height: 100px;
    width: 100%;
    left: 0;
    display: none;
}